=== test/compiler_instrumentation/Makefile ===
CFLAGS=-finstrument-functions -O0
LDFLAGS=-rdynamic

BIN=foo

all: $(BIN)

%: %.c
	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS) 

test: $(BIN)
	./run.sh
clean:
	rm -f $(BIN)
