=== test/ompt/Makefile ===
CC=clang
CFLAGS=-fopenmp
LDFLAGS=-fopenmp

BIN=test_lock test_task test_parallel_for test_ompt

all: $(BIN)

clean:
	rm -f $(BIN)
