=== debian/changelog ===
eztrace-contrib (2.1-1) unstable; urgency=medium

  * New upstream release (Closes: #968312)
    - control: Add libnetcdf-dev and libpnetcdf-dev dependencies.
    - patches/git-arm: Upstreamed.
    - patches/git-atomic: Upstreamed.
    - patches/git-eztpomp: Upstreamed.
    - patches/git-eztrace_cc_path: Upstreamed.
    - patches/git-eztrace_cc_x: Upstreamed.
    - patches/git-functions: Upstreamed.
    - patches/git-input: Upstreamed.
    - patches/git-libatomic: Upstreamed.
    - patches/git-manpage: Upstreamed.
    - patches/git-memory-noopt: Upstreamed.
    - patches/git-missing-tests: Upstreamed.
    - patches/git-mpi-init: Upstreamed.
    - patches/git-mpi-init-called: Upstreamed.
    - patches/git-mpi-types: Upstreamed.
    - patches/git-mpi_module_name: Upstreamed.
    - patches/git-no-install-cmake: Upstreamed.
    - patches/git-opari2: Upstreamed.
    - patches/git-openmp-nested-lock: Upstreamed.
    - patches/git-otf2: Upstreamed.
    - patches/git-otf2-3: Upstreamed.
    - patches/git-path_space: Upstreamed.
    - patches/git-pkg-config: Upstreamed.
    - patches/git-pkgconfig: Upstreamed.
    - patches/git-rename: Upstreamed.
    - patches/git-test-conditioned: Upstreamed.
    - patches/git-test-mpi-path: Upstreamed.
    - patches/git-test-openmp: Upstreamed.
    - patches/git-test-openmp2: Upstreamed.
    - patches/git-test-path: Upstreamed.
    - patches/git-test-paths: Upstreamed.
    - patches/git-test-preload-libs: Upstreamed.
    - patches/git-test-programs-path: Upstreamed.
    - patches/git-test-source: Upstreamed.
    - patches/git-test-verbose: Upstreamed.
    - patches/otf2-2.0.3: Upstreamed.
    - patches/starpu-1.3: Upstreamed.
    - patches/norpath: Refreshed.
    - patches/werror: Refreshed.
    - patches/git-starpu-1.4: Fix finding starpu-1.4.
    - patches/git-starpu-1.4-task_submit: Fix building against starpu 1.4.
    - patches/starpu-job: Drop some test for now.
    - patches/git-eztrace_avail: Fix finding eztrace_avail.
    - patches/git-self-link: Fix linking against libeztpomp.
    - patches/git-starpu-install: Actually install StarPU module.
    - libeztrace0.lintian-overrides: Update.
    - rules: Enable STARPU, NETCDF and PNETCDF (where applicable).
    - rules: Set STARPU_HOME to CURDIR.
    - rules: Update blhc ignore patterns.
    - tests/control: Enable compiler_instrumentation and starpu tests.
    - libeztrace0-contrib.install: Install only cuda plugin.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Aug 2023 15:03:30 +0200

eztrace-contrib (2.0+repack-12) unstable; urgency=medium

  * control: Add missing breaks+replaces between libeztrace0 and
    libeztrace-dev, missed when moving /usr/lib/*/*.so from the latter to the
    former (Closes: Bug#1034956)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Apr 2023 16:07:04 +0200

eztrace-contrib (2.0+repack-11) unstable; urgency=medium

  * control: Always depend on otf2, eztrace now always requires it actually.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Dec 2022 16:17:31 +0100

eztrace-contrib (2.0+repack-10) unstable; urgency=medium

  * control: Fix arch exclusion.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Dec 2022 13:25:22 +0100

eztrace-contrib (2.0+repack-9) unstable; urgency=medium

  * patches/otf2-2.0.3: Fix build with otf2 2.0.3.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Dec 2022 13:12:31 +0100

eztrace-contrib (2.0+repack-8) unstable; urgency=medium

  * control: Make Multi-Arch: foreign.
  * control: Drop otf2 support on archs which don't have the atomics required
    by otf2.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Dec 2022 12:59:58 +0100

eztrace-contrib (2.0+repack-7) unstable; urgency=medium

  * rules, tests/control: Pass --oversubscribe to openmpi to avoid failure on
    machines with only one processor.
  * rules: Make openmpi failure fatal again, now that pmix is fixed in
    unstable.
  * rules: Fix installing headers in multiarch path.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 26 Aug 2022 14:11:50 +0200

eztrace-contrib (2.0+repack-6) unstable; urgency=medium

  * control: Only build-dep on clang when we'll build the ompt module.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Aug 2022 14:41:14 +0200

eztrace-contrib (2.0+repack-5) unstable; urgency=medium

  * patches/git-mpi-init-called: MPI: avoid multiple initialization.
  * patches/git-test-openmp2: Fix OpenMP tests build.
  * debian/rules: Can now use dh_auto_test again.
  * debian/rules: Reduce build time by only building&testing the targeted
    modules.
  * debian/rules: Update blhc ignore line.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Aug 2022 14:01:01 +0200

eztrace-contrib (2.0+repack-4) unstable; urgency=medium

  * patches/test-verbose: Use upstream commit.
  * patches/test-programs-path: Fix the path of test programs.
  * patches/test-preload-libs: Use upstream commit.
  * rules: Pass EZTRACE_TEST_OPTION=-p.
  * patches/*: Reflush patches in the upstream order.
  * patches/git-otf2: Include upstream otf2 detection fix.
  * rules: Make mpi fork-safe.
  * patches/git-test-source: Fix running test from source with make test.
  * rules: Print blhc false positive suppressions (Closes: Bug#101804)
  * patches/git-openmp-nested-lock: Fix nested locks.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Aug 2022 09:53:43 +0200

eztrace-contrib (2.0+repack-3) unstable; urgency=medium

  * rules: Actually run tests at package build time.
  * control: Add bw, gawk build-deps.
  * patches/test-preload-libs: Add just-built libeztrace-lib.so to LD_PRELOAD.
  * patches/memory-noopt: Disable optimizations to make sure calloc etc. are
    kept.
  * patches/test-verbose: Show the actual test output.
  * copyright: Fix catching pomp files.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 Aug 2022 14:18:42 +0200

eztrace-contrib (2.0+repack-2) unstable; urgency=medium

  * debian/copyright: Fix copyright information for pomp-lib-dummy.

