=== debian/control ===
Source: eztrace-contrib
Section: contrib/devel
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12),
 pkg-config,
 cmake,
 bc, gawk,
 gfortran,
 libiberty-dev, binutils-dev (>= 2.29~), zlib1g-dev,
 nvidia-cuda-toolkit-gcc (>= 9~),
# gcc-7, g++-7,
# clang-5.0,
 libcupti-dev, python3, mesa-common-dev,
 libotf2-trace-dev, otf2-tools,
 opari2, libpomp2-dev,
 clang [amd64 arm64 i386 ppc64el riscv64], libomp-dev [amd64 arm64 i386 ppc64el riscv64],
 libstarpu-dev (>= 1.3~),
 libnetcdf-dev, libpnetcdf-dev [amd64 arm64 mips64el ppc64el s390x alpha ia64 sparc64 kfreebsd-amd64 ppc64 riscv64],
 libpapi-dev [amd64 arm64 armel armhf i386 mipsel powerpc ppc64el mips64el ppc64 x32],
 libmpich-dev, mpi-default-dev, mpi-default-bin
Rules-Requires-Root: no
Build-Conflicts: libeztrace0
Standards-Version: 4.6.0
Homepage: https://eztrace.gitlab.io/eztrace/
Vcs-Git: https://salsa.debian.org/debian/eztrace.git -b contrib
Vcs-Browser: https://salsa.debian.org/debian/eztrace/-/tree/contrib

Package: libeztrace0-contrib
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libeztrace0
Pre-Depends: ${misc:Pre-Depends}
Description: Automatic execution trace generation for HPC - runtime libraries
 EZTrace is a tool that aims at generating automatically execution traces
 from HPC (High Performance Computing) programs. It generates execution
 trace files that can be interpreted by visualization tools such as
 ViTE. It uses LD_PRELOAD and dlsym() to intercept calls to the usual HPC
 primitives, to be observed.
 .
 This package contains the development files depending on CUDA.
