## eztrace-contrib 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -60,6 +60,7 @@
 option(EZTRACE_ENABLE_MPI      "Enable MPI module"      OFF)
 option(EZTRACE_ENABLE_CUDA     "Enable CUDA module"     OFF)
 option(EZTRACE_ENABLE_STARPU   "Enable StarPU module"   OFF)
+option(EZTRACE_ENABLE_STARPU_API   "Enable StarPU module (using the StarPU profiling API)"   OFF)
 option(EZTRACE_ENABLE_OPENMP   "Enable OpenMP module"   OFF)
 #option(EZTRACE_ENABLE_PAPI     "Enable PAPI module"     OFF)
 option(EZTRACE_ENABLE_POSIXIO  "Enable POSIXIO module"  ON)
@@ -120,13 +121,19 @@
   find_package(STARPU "1.2" REQUIRED COMPONENTS HWLOC)
   list(APPEND CMAKE_INSTALL_RPATH ${STARPU_LIBRARY_DIRS})
 endif()
- 
+
+if (EZTRACE_ENABLE_STARPU_API)
+  find_package(STARPU "1.4" REQUIRED COMPONENTS HWLOC)
+  list(APPEND CMAKE_INSTALL_RPATH ${STARPU_LIBRARY_DIRS})
+endif()
+
 # if (EZTRACE_ENABLE_PAPI)
 #   find_package (LibPapi REQUIRED)
 # endif()
 # 
 if (EZTRACE_ENABLE_CUDA)
   find_package (CUDA REQUIRED)
+  find_package (CUDAToolkit REQUIRED)
 endif()
 
 if (EZTRACE_ENABLE_OPENMP)
