=== test/starpu/Makefile ===
CFLAGS=`pkg-config --cflags starpu-1.3`
LDFLAGS=`pkg-config --libs starpu-1.3`

BIN=starpu_hello starpu_mult

all: $(BIN)

%: %.c
	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS)

test: $(BIN)
	./run.sh
clean:
	rm -f $(BIN)
