=== doc/example/libexample_eztrace/Makefile ===
# Copyright (C) CNRS, INRIA, Université Bordeaux 1, Télécom SudParis
# See COPYING in top-level directory.

BIN = libeztrace-example.so

LDFLAGS=`pkg-config --libs eztrace`
CFLAGS=`pkg-config --cflags eztrace`

all: $(BIN)

libeztrace-example.so: example.c
	$(CC) --shared -o libeztrace-example.so example.c -fPIC $(CFLAGS) $(LDFLAGS) -ldl

clean:
	rm -f $(BIN)
