=== debian/changelog ===
eztrace-contrib (2.1.1-1) unstable; urgency=medium

  * New upstream release (Closes: Bug#1086265)
    - debian/patches/git-self-link: Upstreamed.
    - debian/patches/git-starpu-1.4: Upstreamed.
    - debian/patches/git-starpu-1.4-task_submit: Upstreamed.
    - debian/patches/git-eztrace_avail: Upstreamed.
    - debian/patches/git-starpu-install: Upstreamed.
    - debian/patches/implicit: Upstreamed.
  * debian/rules: Run all testsuites before reporting the failures
    (Closes: Bug#1067468)
  * debian/rules: Add mpi smoketest rules.
  * debian/control: Depend on pkgconf instead of pkg-config.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2024 02:21:32 +0100

eztrace-contrib (2.1-7) unstable; urgency=medium

  * patches/implicit: Fix build with qa=+bug-implicit-func
    (Closes: Bug#1066332)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Mar 2024 12:39:56 +0100

eztrace-contrib (2.1-6) unstable; urgency=medium

  * Revert adding ompt support on more archs.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Oct 2023 16:14:57 +0200

eztrace-contrib (2.1-5) unstable; urgency=medium

  * Add ompt support on more archs.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Oct 2023 15:32:16 +0200

eztrace-contrib (2.1-4) unstable; urgency=medium

  * tests/control: Drop libpapi-dev dependency, libstarpu-dev already has it
    as appropriate.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 11 Sep 2023 18:34:53 +0200

eztrace-contrib (2.1-3) unstable; urgency=medium

  * tests/control: Fix starpu tests by installing gawk.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Sep 2023 17:35:32 +0200

eztrace-contrib (2.1-2) unstable; urgency=medium

  * control: Build-dep on starpu >= 1.4.1+dfsg-7 to get starpu job start/end
    traced.
  * patches/starpu-job: Drop patch, now that job start/end gets traced.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Aug 2023 12:10:28 +0200
