=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 include /usr/share/dpkg/architecture.mk
 include /usr/share/mpi-default-dev/debian_defaults
+
+FAILED=debian/failed
 
 ifeq ($(ARCH_DEFAULT_MPI_IMPL),openmpi)
 OPENMPI=yes
